From: Michael Gutzmann <[email-masked]>
Date: Mon, 23 Oct 95 09:45:11 +0100

Hello, IBISians !

I want to use IBIS for modeling of Ground/Power Noise of simultaneously
switching drivers. 
Spec version 2.1 can handle static V/I curves and Vout(t) curves
for a given load. If I've got this information then I am able to 
determine the rising/falling waveform of the output current Iout(t)
of a switching driver.

What I need for example to calculate the voltage drop over the
ground inductance L_gnd_pin (see below) is the contribution of every 
(simultaneously) switching driver to the current I_gnd(t) flowing 
through their common ground pin inductance (if I assume for
simplification that the inductance of the ground path is caused only
by that ground pin).

                         o PWR
                         | 
                         |
                         C
                         C L_pwr_pin
                         C
                         |
                         |
                         V I_pwr(t)
       I_pwr_1(t)        |                      I_pwr_n(t)
                         |
     -----<--------------*-------------  -  -  ----->---
     |                   |                             |
     |                   V I_pwr_2(t)                  |
     |                   |                             |
----------          ----------                    ----------
|        | Iout_1(t)|        |  Iout_2(t)         |        | Iout_n(t)
|Driver_1|          |Driver_2|                    |Driver_n| 
|        |--->-|    |        |--->--|             |        |--->--|
|        |     |    |        |      |             |        |      |
----------    ---   ----------     ---            ----------     ---
     |        --- CL_1   |         --- CL_2            |    CL_n ---
     |         |         |          |                  |          |
     |         |         |          |                  |          |
     |        ---        |         ---                 |         ---
     |                   |                             |
     V I_gnd_1(t)        V I_gnd_2(t)                  V I_gnd_n(t)
     |                   |                             |
     |                   |                             |
     --------------------*--------------  -  -  --------
                         |
                         |
                         V I_gnd(t)
                         |
                         C
                         C L_gnd_pin
                         C
                         |
                         |
                        ---

It would be useful for Ground/Power Noise calculations to have the
currents of the internal ground/power path of every driver 
I_gnd_1(t)/I_pwr_1(t) ... I_gnd_n(t)/I_pwr_n(t) with respect to
the corresponding Vout(t) curves for specified loads.

Unfortunately it is not possible to describe these ground/power path
currents with current IBIS format in my opinion. I'm quite aware
of the fact that this request perhaps contradicts the basic 
concept of IBIS because these internal ground/power path currents are
not measurable from outside of the package.

But at my point of view I don't see any other way for an
efficient ground (power) noise analysis.

However, what do you think about the opportunities to model 
power/ground noise and the resulting switching noise at the
outputs of active/quiescent output buffers by using present
or future IBIS format ?

Any comments to that problem will be appreciated.

Thank you very much in advance

Michael Gutzmann

Cadlab
Group Analog System Engineering
Joint R&D Institute
University of Paderborn
Siemens Nixdorf Informationssysteme AG
Fuerstenallee 7
33102 Paderborn
Germany

phone: +49-5251-60-6164
fax  : +49-5251-60-6155
e-mail: [email-masked]